<?php

	# author Drk in

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	$id =  isset( $_GET['id'] ) ? abs(intval($_GET['id'])): 0;

	if (cache_tkcat::ch($id) == false)system::header('/admin/tkcat','Ошибка ID не найден');

	$act = cache_tkcat::check($id);

	$tk = DB :: $dbh -> querySingle("SELECT count(id) FROM tk  WHERE cat = ?;", array($act['id']));	

	if (!empty($tk))system::header('/admin/tkcat','Ошибка в категории есть запросы, удаление не возможно!');	

	# meta

	$title = 'Категории - Удалить - '.system::check($act['name']);
	$description = system::check($config['description']);
	$keywords = system::check($config['keywords']);
	$tl = 'Категории - Удалить - '.system::check($act['name']);

	# admin

	system::adm();

	# post

	if (isset($_POST['CFMS'])): 

	$CK   = system::check($_POST['CK']);
	
	if (empty($tk)):	
	if ($user['CK'] == $CK):		

	DB :: $dbh -> query("DELETE FROM tkcat WHERE id = ? LIMIT 1;", array($id));	
	
	@unlink(cache."_tkcat/{$id}.data"); 

	system::header('/admin/tkcat','Успешно',1);		

	# error 

	else: system::header('?','Ошибка, возможно вам подкинули эту ссылку'); endif;	
	else: system::header('?','Ошибка в категории есть сайты, удаление не возможно!'); endif;

	endif;

	# head

	require_once ( head );

	echo '
	<div class ="touch">
	<form method="post">
	<input type="hidden" name="CK" value="'.$user['CK'].'">
	Удалить категорию: <b>'.$act['name'].'</b> ?!
	<br>
	<input type="submit" name="CFMS" value="Да">
	</form>
	</div>
	<a href="'.site.'admin/tkcat" class="touch">« Назад</a>';

	# foot

	require_once ( foot ) ;
?>